# Device Configuration

## Utilities
### ::: pyflysight.config_utils.FlysightV1Config
### ::: pyflysight.config_utils.FlysightV2Config

## Configuration Groupings
### ::: pyflysight.config_params.GPSSettings
### ::: pyflysight.config_params.IMUSettings
### ::: pyflysight.config_params.ToneSettings
### ::: pyflysight.config_params.ThresholdSettings
### ::: pyflysight.config_params.RateSettings
### ::: pyflysight.config_params.SpeechSettings
### ::: pyflysight.config_params.MiscellaneousSettings
### ::: pyflysight.config_params.InitializationSettings
### ::: pyflysight.config_params.AlarmSettings
### ::: pyflysight.config_params.AlarmWindowSettings
### ::: pyflysight.config_params.AltitudeSettings
### ::: pyflysight.config_params.SilenceWindowSettings

## Parameter Enumerations
### GPS Parameters
#### ::: pyflysight.config_params.GPSModel

### IMU Parameters
!!! warning
    These parameters are only valid for FlySight V2 hardware
#### ::: pyflysight.config_params.BaroODR
#### ::: pyflysight.config_params.HumODR
#### ::: pyflysight.config_params.MagODR
#### ::: pyflysight.config_params.AccelODR
#### ::: pyflysight.config_params.AccelFS
#### ::: pyflysight.config_params.GyroODR
#### ::: pyflysight.config_params.GyroFS

### Tone Parameters
#### ::: pyflysight.config_params.ToneMeasurementMode
#### ::: pyflysight.config_params.ToneLimits
#### ::: pyflysight.config_params.ToneVolume

### Rate Parameters
#### ::: pyflysight.config_params.Mode2
#### ::: pyflysight.config_params.FlatLine

### Speech Parameters
#### ::: pyflysight.config_params.SpeechVolume
#### ::: pyflysight.config_params.SpeechMode
#### ::: pyflysight.config_params.SpeechUnits

### Miscellaneous Parameters
#### ::: pyflysight.config_params.UseSAS

### Initialization Parameters
#### ::: pyflysight.config_params.InitMode

### Alarm Parameters
#### ::: pyflysight.config_params.AlarmType
#### ::: pyflysight.config_params.AltUnits
